use strict;
use warnings;
use English;

# For authors only
use lib q{build-lib};

use inc::Module::Install;

name         q{EFS};
abstract     q{The EFS Project};
author       q{Phillip Moore <wpm@openefs.org>};
perl_version q{5.010};
license      q{unknown};
all_from     q{lib/EFS.pm};

configure_requires q{Module::Install};

test_requires q{Algorithm::Diff};
test_requires q{Expect};
test_requires q{List::MoreUtils};
test_requires q{Test::Deep};
test_requires q{Test::Exception};
test_requires q{Text::Diff};
test_requires q{Test::Pod};
test_requires q{Test::Pod::Coverage};
test_requires q{Test::Perl::Critic};
test_requires q{Email::Address};

requires q{Authen::PAM};
requires q{Env::Path};
requires q{Config::Tiny};
requires q{Clone};
requires q{DBI};
requires q{DBIx::Class};
requires q{DBIx::Class::TimeStamp};
requires q{DBD::SQLite};
requires q{Date::Calc};
requires q{Date::Format};
requires q{Date::Manip};
requires q{Date::Parse};
requires q{File::LibMagic};
requires q{File::Slurp};
requires q{FreezeThaw};
requires q{IO::Socket::SSL};
requires q{Lchown};
requires q{Lingua::EN::Inflect};
requires q{List::MoreUtils};
requires q{LWP::UserAgent};
requires q{Mail::Sender};
requires q{Moose};
requires q{Moose::Exporter};
requires q{Moose::Role};
requires q{Moose::Util::MetaRole};
requires q{Moose::Util::TypeConstraints};
requires q{MooseX::Role::WithOverloading};
requires q{MooseX::Singleton};
requires q{Net::DNS};
requires q{Parallel::ForkManager};
requires q{Params::Validate};
requires q{Readonly};
requires q{Regexp::Common};
requires q{SQL::Abstract};
requires q{SQL::Translator};
requires q{Set::Scalar};
requires q{Sub::Install};
requires q{Sys::Hostname::FQDN};
requires q{Term::ReadPassword};
requires q{Text::Password::Pronounceable};
requires q{Text::FormatTable};
requires q{Text::Template};
requires q{Try::Tiny};

recommends q{DBD::mysql};
recommends q{DateTime::Format::MySQL};
recommends q{GSSAPI};
recommends q{GSSAPI::Status};

requires_external_bin q{rsync};
requires_external_bin q{ssh};
requires_external_bin q{openssl};
requires_external_bin q{gzip};
requires_external_bin q{gunzip};
requires_external_bin q{sha1sum};

install_script q{bin/efs};
install_script q{bin/efsd};
install_script q{bin/efs_platform};
install_script q{bin/efs_configure_autofs};

# Don't install doc templates
exclude_docs qr{ template [.] pod\z }xms;
install_docs q{doc};

tests_recursive;

Makefile->postamble(<<'CTAGS');
ctags-emacs ::
	ctags -e --links=no --totals -R --exclude=blib --exclude=.git --languages=perl .

ctags-vi ::
	ctags    --links=no --totals -R --exclude=blib --exclude=.git --languages=perl .
CTAGS

WriteAll;
