package EFS::DBI::Result::CampusAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{campus_attrs} );

__PACKAGE__->add_columns( qw( campus name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{campus_attrs_seq} );

__PACKAGE__->belongs_to( campus => q{EFS::DBI::Result::Campus} );

sub display_columns {
    return qw(region campus name value);
}

sub display_headers {
    return qw(Region Campus Attribute Value);
}

sub region {
    return shift->campus->region;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
