package EFS::DBI::Result::FileqtreeAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{fileqtree_attrs} );

__PACKAGE__->add_columns( qw( fileqtree name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{fileqtree_attrs_seq} );

__PACKAGE__->belongs_to( fileqtree => q{EFS::DBI::Result::Fileqtree} );

sub display_columns {
    return qw(fileserver fileshare fileqtree name value);
}

sub display_headers {
    return qw(Fileserver Fileshare Fileqtree Attribute Value);
}

sub fileshare {
    return shift->fileqtree->fileshare;
}

sub fileserver {
    return shift->fileqtree->fileshare->fileserver;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
