package EFS::DBI::Result::ReleaseAliasCellState;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{releasealias_cellstate} );

__PACKAGE__->add_columns( qw( releasealias cell target ) );
__PACKAGE__->add_columns(
    id => {
        __PACKAGE__->get_id_column_attrs,
    },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{releasealias_cellstate_seq} );

__PACKAGE__->belongs_to( releasealias => q{EFS::DBI::Result::ReleaseAlias} );
__PACKAGE__->belongs_to( cell => q{EFS::DBI::Result::Cell} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
