package EFS::DBI::ResultSet::ReleaseAliasCellState;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub update_or_insert {

    my $self = shift;

    my (%args) = validate( @_, {
        releasealias => { isa  => q{EFS::DBI::Result::ReleaseAlias} },
        cell         => { isa  => q{EFS::DBI::Result::Cell} },
        target       => { type => SCALAR },
    });

    my ($cellstate) = $self->search({
        releasealias => $args{releasealias}->id,
        cell         => $args{cell}->id,
    });

    if ( $cellstate ) {
        $cellstate->set_column( target => $args{target} );
        $cellstate->update;
    } else {
        $cellstate = $self->create({
            releasealias => $args{releasealias}->id,
            cell         => $args{cell}->id,
            target       => $args{target},
        });
    }

    return $cellstate;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
