package EFS::Stringification;
use strict;
use warnings;

use strict;
use warnings;
use English;

use MooseX::Role::WithOverloading;

use overload
    q{""}    => q{as_string},
    fallback => 1;

no MooseX::Role::WithOverloading;

1;

=for :stopwords stringified stringification

=head1 NAME

EFS::Stringification - Standardize how objects are stringified

=head1 SYNOPSIS

  use Moose;
  # attribute declarations, etc.
  with 'EFS::Stringification';

  sub as_string {
      # put stringification code here
  }

=head1 DESCRIPTION

Mixing in the EFS::Stringification role simply makes the class that
incorporates it use the method C<as_string> for stringification.

=cut

